@echo off
REM ICOM IC-9700 BATCH for SAT
REM ========================================
REM Coding by Stefan, HB9GFX
REM ========================================
REM For a list  of all IC-9700  CIV commands
REM see Icoms Full Manual, Section 19. Basic
REM command structure is:
REM "FEFEA2E0" Cmd SubCmd Data "FD"
REM ========================================

REM Load settings from config.ini
for /f "delims== tokens=1,2" %%i in (ic9700.ini) do @Set %%i=%%j

REM Initialize COM port
mode %ic97com% BAUD=%ic97baud% DATA=%ic97data% PARITY=%ic97parity% STOP=%ic97stop% to=on xon=off odsr=off dtr=off rts=hs idsr=off > NUL

REM Compile CIV command -> Set SAT Mode
REM ========================================
REM 165A XX
REM XX: 00=Off, 01=On, 
REM ========================================
echo FEFEA2E0165A01FD > ic97temp.txt
certutil -decodehex ic97temp.txt ic97temp.bin

REM Copy to transceiver
copy ic97temp.bin \\.\%ic97com% /b

REM Cleanup
del ic97temp.*
cls